<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('product_document', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('document_id');
            $table->unsignedBigInteger('product_id');
            $table->integer('post_quantity');
            $table->integer('additional_quantity');
            $table->foreign('document_id')->references('id')->on('document');
            $table->foreign('product_id')->references('id')->on('product');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('product_document', function (Blueprint $table) {
            $table->dropForeign(['document_id']);
            $table->dropForeign(['product_id']);
        });
        Schema::dropIfExists('product_document');
    }
};
